public class ExtremoMesa {
    private final int extremo;
    private static final int IZQ = 0;
    private static final int DER = 1;
    public static final ExtremoMesa IZQUIERDO   = new ExtremoMesa(IZQ);
    public static final ExtremoMesa DERECHO     = new ExtremoMesa(DER);
    ExtremoMesa(int extremo) {
        this.extremo = extremo;
    }
    @Override
    public String toString() {
        switch (extremo) {
            case IZQ:
                return "i";
            case DER:
                return "d";
            default:
                return "ERR: ExtremoMesa.toString()";
        }
    }
}
